Package tigase.auth.mechanisms

# Enum Class AbstractSaslSCRAM.BindType

java.lang.Object
java.lang.Enum<AbstractSaslSCRAM.BindType>
tigase.auth.mechanisms.AbstractSaslSCRAM.BindType

All Implemented Interfaces:
  `Serializable`, `Comparable<AbstractSaslSCRAM.BindType>`, `Constable`

Enclosing class:
  AbstractSaslSCRAM

public static enum AbstractSaslSCRAM.BindType extends Enum<AbstractSaslSCRAM.BindType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `n`
  Client doesn't support channel binding.
  `tls_exporter`
  Client requires channel binding: `tls-exporter`.
  `tls_server_end_point`
  Client requires channel binding: `tls-server-end-point`.
  `tls_unique`
  Client requires channel binding: `tls-unique`.
  `y`
  Client does support channel binding but thinks the server does not.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AbstractSaslSCRAM.BindType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AbstractSaslSCRAM.BindType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### n

    public static final AbstractSaslSCRAM.BindType n
    Client doesn't support channel binding.

  - ### y

    public static final AbstractSaslSCRAM.BindType y
    Client does support channel binding but thinks the server does not.

  - ### tls_unique

    public static final AbstractSaslSCRAM.BindType tls_unique
    Client requires channel binding: `tls-unique`.

  - ### tls_server_end_point

    public static final AbstractSaslSCRAM.BindType tls_server_end_point
    Client requires channel binding: `tls-server-end-point`.

  - ### tls_exporter

    public static final AbstractSaslSCRAM.BindType tls_exporter
    Client requires channel binding: `tls-exporter`.

- ## Method Details

  - ### values

    public static AbstractSaslSCRAM.BindType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AbstractSaslSCRAM.BindType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null